%define major 2
%define libname %mklibname %name %major
%define devname %mklibname -d %name

Name:           qqwing
Version:        1.3.4
Release:        %mkrel 3
Summary:        Command-line Sudoku solver and generator
Group:		Games/Puzzles
License:        GPLv2+
URL:            http://ostermiller.org/qqwing/
Source0:        http://ostermiller.org/qqwing/qqwing-%{version}.tar.gz

%description
QQwing is a command-line Sudoku solver and generator.

%package        -n %{libname}
Summary:        Library for Sudoku solving and generation
Group:		System/Libraries

%description    -n %{libname}
libqqwing is a C++ library for solving and generating Sudoku puzzles.

%package        -n %{devname}
Summary:        Development files for libqqwing
Group:		Development/C++
Requires:       %{libname} = %{version}-%{release}

%description    -n %{devname}
Libraries and header files for developing applications that use libqqwing.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_bindir}/qqwing
%{_mandir}/man1/qqwing.1.*

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/libqqwing.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libqqwing.so
%{_libdir}/pkgconfig/qqwing.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.3.4-3.mga6
+ Revision: 958775
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 1.3.4-2.mga6
+ Revision: 883008
- rebuild with gcc5

* Sun Jun 21 2015 ovitters <ovitters> 1.3.4-1.mga6
+ Revision: 838469
- new version 1.3.4

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 740730
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 688510
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 pterjan <pterjan> 1.2.0-1.mga5
+ Revision: 668520
- imported package qqwing

